// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package config

import (
_	"context"
_	"encoding/json"
_	"fmt"
_	"gopkg.in/yaml.v3"
_	"net/url"
_	"regexp"
_	"strings"
_	"os"
_	"io"
)

type ConfigTarget interface {
	Type() string

	EmitResources(documents []*Document, filter ConfigurationSelector) error
	Close() error
}

func NewConfigTarget(uri string) ConfigTarget {
	s, e := ConfigTargetTypes.New(uri)
	if e == nil {
		return s
	}
	return nil
}
